> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getkard.com/2024-10-01/api/organizations/children/update/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getkard.com/_mcp/server. # Update PATCH https://rewards-api.getkard.com/v2/issuers/{organizationId}/children/{childId} Content-Type: application/json Update a child organization. Only the name can be changed. Reference: https://docs.getkard.com/api/organizations/children/update ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://rewards-api.getkard.com` (Production, default) - `https://test-rewards-api.getkard.com` (Sandbox) ## Request ### Path parameters - `organizationId` (string, required) — Unique identifier of the parent organization - `childId` (string, required) — Unique identifier of the child organization ### Body (application/json) This endpoint expects an UpdateChildRequestBody. - `data` (UpdateChildRequestData, required) — Child organization data for update ## Response ### 200 Updated child organization resource - `type` ("organization", required) - `id` (string, required) — Unique identifier of the child organization - `attributes` (ChildOrganizationAttributes, required) — Limited set of child organization attributes exposed to external consumers ## Errors ### 401 Unauthorized Error - `errors` (list of ErrorObject, required) ### 403 Forbidden Error - `errors` (list of ErrorObject, required) ### 400 Invalid Request - `errors` (list of ErrorObject, required) ### 404 Does Not Exist Error - `errors` (list of ErrorObject, required) ### 500 Internal Server Error - `errors` (list of ErrorObject, required) ## Types ### UpdateChildRequestData Child organization data structure for update - `type` ("organization", required) — Resource type identifier - `attributes` (UpdateChildAttributes, required) — Child organization attributes for update ### ChildOrganizationAttributes Limited set of child organization attributes exposed to external consumers - `name` (string, required) — Name of the child organization (at least one letter; letters and spaces only) - `bins` (list of string, required) — Bank Identification Numbers for the child organization - `externalId` (string, optional) — External identifier for the child organization ### ErrorObject - `status` (string, required) — Status code returned from the request - `title` (string, required) — Name of error - `detail` (string, required) — Description of the specific occurance of the error - `source` (ErrorSource, optional) — An object containing a reference to the primary source of the error - `id` (string, optional) — The id of the resource which caused the error. Always returned for multi-status errors. ### UpdateChildAttributes Attributes for updating a child organization. All fields are optional; only provided fields are changed. - `name` (string, optional) — New name for the child organization (at least one letter; letters and spaces only) - `externalId` (string, optional) — External identifier for the child organization - `bins` (list of string, optional) — Bank Identification Numbers for the child organization ### ErrorSource - `pointer` (string, optional) — A JSON pointer to the value in the request document that caused the error - `parameter` (string, optional) — A string indicating which URI query parameter caused the error - `header` (string, optional) — A string indicating the name of a single request header which caused the error ## Examples **Request** ```json { "data": { "type": "organization", "attributes": {} } } ``` **Response** ```json { "type": "organization", "id": "id", "attributes": { "name": "name", "bins": [ "bins", "bins" ], "externalId": "externalId" } } ``` **SDK Code** ```python import requests url = "https://rewards-api.getkard.com/v2/issuers/organizationId/children/childId" payload = { "data": { "type": "organization", "attributes": {} } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://rewards-api.getkard.com/v2/issuers/organizationId/children/childId'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"data":{"type":"organization","attributes":{}}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://rewards-api.getkard.com/v2/issuers/organizationId/children/childId" payload := strings.NewReader("{\n \"data\": {\n \"type\": \"organization\",\n \"attributes\": {}\n }\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://rewards-api.getkard.com/v2/issuers/organizationId/children/childId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"data\": {\n \"type\": \"organization\",\n \"attributes\": {}\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://rewards-api.getkard.com/v2/issuers/organizationId/children/childId") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"data\": {\n \"type\": \"organization\",\n \"attributes\": {}\n }\n}") .asString(); ``` ```php request('PATCH', 'https://rewards-api.getkard.com/v2/issuers/organizationId/children/childId', [ 'body' => '{ "data": { "type": "organization", "attributes": {} } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://rewards-api.getkard.com/v2/issuers/organizationId/children/childId"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"data\": {\n \"type\": \"organization\",\n \"attributes\": {}\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["data": [ "type": "organization", "attributes": [] ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://rewards-api.getkard.com/v2/issuers/organizationId/children/childId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```